{% extends '::frontend.html.twig' %}

{% block body -%}
    

    {% for flashMessage in app.session.flashbag.get('mensaje') %}

         <span class="alert-success">{{ flashMessage }} <hr /></span>

    {% endfor %}

   
    
        <div class="panel panel-default">
				<div class="panel-heading">
					<h4>Expedientes</h4>
				</div>
				<div class="panel-body">

    <table class="table table-striped table-bordered table-hover"
						id="dataTables-example">
        <thead>
            <tr>
                <th>Numero de Expediente</th>
                <th>Fecha de Creacion</th>
                <th>Fecha Actual</th>
                <th>Paciente</th>
                <th>Clinica</th>
                <th>Estado</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for entity in entities %}
            {% if(entity.estado == 1) %}
            <tr>
            <td>{{ entity.numeroExp }}</td>
                <td>{{ entity.fechaCreacion|date('Y-m-d') }}</td>
                <td>{{ entity.fechaActual|date('Y-m-d') }}</td>
                <td>{{ entity.paciente }}</td>
                <td>{{ entity.clinica }}</td>
                {#<td>{{ entity.estado }}</td>#}
                  {% if(entity.estado == 1) %}
                        <td>{{ 'Vigente' }}</td>
                  {% else %}
                         <td>{{ 'Caducado' }}</td>
                  {% endif %}
                <td>
                        <a href="{{ path('expedientes_show', { 'id': entity.id }) }}" class="btn btn-success">Detalle</a>
                    -
                        <a href="{{ path('expedientes_edit', { 'id': entity.id }) }}" class="btn btn-danger">Editar</a>
                </td>
            </tr>
            {% endif %}
        {% endfor %}
        </tbody>
    </table>
</div>
</div>
<div class="well">
 <a href="{{ path('expedientes_new') }}" class="btn btn-success">
    Crear Nuevo Expediente
    </a>
</div>
    {% endblock %}
